DefaultGriffonControllerClass (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonControllerClass

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractGriffonClass
          org.codehaus.griffon.runtime.core.DefaultGriffonClass
              org.codehaus.griffon.runtime.core.DefaultGriffonControllerClass

All Implemented Interfaces:
  GriffonControllerClass

    public class DefaultGriffonControllerClass
    extends DefaultGriffonClass

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`protected Set` | `actionsCache`

Fields inherited from class AbstractGriffonClass
app, classPropertyFetcher, clazz, eventsCache, fullName, log, logicalPropertyName, name, naturalName, packageName, propertyName, shortName, type

Constructor Summary
`DefaultGriffonControllerClass(GriffonApplication app, Class clazz)`

Method Summary
`String[]` | `getActionNames()`
`private boolean` | `hasVoidOrDefAsReturnType(Method method)`
`private boolean` | `hasVoidOrDefAsReturnType(MetaMethod method)`
`void` | `resetCaches()`

Methods inherited from class AbstractGriffonClass
equals, getApp, getArtifactType, getClazz, getEventNames, getFullName, getGroovyProperty, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPropertiesWithFields, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, hashCode, isClosureMetaProperty, isReadableProperty, newInstance, resetCaches, returnOnlyIfInstanceOf, setMetaClass, toString, updateMetaClass

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### actionsCache

    protected final Set actionsCache

Constructor Detail

### DefaultGriffonControllerClass

    public DefaultGriffonControllerClass(GriffonApplication app, Class clazz)

Method Detail

### getActionNames

    public String[] getActionNames()

### hasVoidOrDefAsReturnType

    private boolean hasVoidOrDefAsReturnType(Method method)

### hasVoidOrDefAsReturnType

    private boolean hasVoidOrDefAsReturnType(MetaMethod method)

### resetCaches

    public void resetCaches()

Groovy Documentation